#ifndef __mtx_included
#define __mtx_included

#include "config.h"

#include <math.h>
#include <string.h>
#include "vec.h"

#include "cpppro.h"

#ifndef M_PI
#define M_PI		3.14159265358979323846
#endif

#define DEG2RAD M_PI / 180.0
#define RAD2DEG 180.0 / M_PI

#define MTXSIZE 9
#define MTXCPY(dst, src) memcpy(dst, src, MTXSIZE * sizeof(float))
#define MTXPRT(m) printf("matrix(" #m ")\n"); mtx_printf(m)

extern void mtx_identity(float *);
extern void mtx_rotation(float *, float, float, float, float);
extern void mtx_rotationcs(float *, float, float, float, float, float);
extern void mtx_mtxmul(float *, float *, float *);
extern void mtx_vecmul(float *, float *, float, float, float); 
extern void mtx_printf(float *);

#include "cppepi.h"

#endif /* __mtx_included */
